Package com.collibra.dgc.core.api.dto.quality

# Class AddDataQualityRuleRequest.Builder

Object
Builder

Enclosing class:
  `AddDataQualityRuleRequest`

@Deprecated public static final class AddDataQualityRuleRequest.Builder extends Object
Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddDataQualityRuleRequest`
  `build()`
  Deprecated.
  `AddDataQualityRuleRequest.Builder`
  `categorizationRelationTypeId(UUID categorizationRelationTypeId)`
  Deprecated.
  The ID of the categorization relation type.
  `AddDataQualityRuleRequest.Builder`
  `dataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)`
  Deprecated.
  The Data Quality Metrics that should be assigned to the rule that is going to be created.
  `AddDataQualityRuleRequest.Builder`
  `description(String description)`
  Deprecated.
  The description of the new data quality rule.
  `AddDataQualityRuleRequest.Builder`
  `id(UUID id)`
  Deprecated.
  The ID of the new Data Quality Rule.
  `AddDataQualityRuleRequest.Builder`
  `name(String name)`
  Deprecated.
  The name of the new data quality rule.
  `AddDataQualityRuleRequest.Builder`
  `profilingEnabled(boolean profilingEnabled)`
  Deprecated.
  Indicates whether profiling statistics should be enabled for this rule.
  `AddDataQualityRuleRequest.Builder`
  `relationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)`
  Deprecated.
  The list of entries that describes relations along which the data quality result is calculated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### id

    public AddDataQualityRuleRequest.Builder id(UUID id)
    Deprecated.
    The ID of the new Data Quality Rule. Should be unique within all data quality rules. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.
    Returns:
      `this`.

  - ### name

    public AddDataQualityRuleRequest.Builder name(String name)
    Deprecated.
    The name of the new data quality rule. Should be unique within all data quality rules.
    Returns:
      `this`.

  - ### description

    public AddDataQualityRuleRequest.Builder description(String description)
    Deprecated.
    The description of the new data quality rule.
    Returns:
      `this`.

  - ### categorizationRelationTypeId

    public AddDataQualityRuleRequest.Builder categorizationRelationTypeId(UUID categorizationRelationTypeId)
    Deprecated.
    The ID of the categorization relation type.
    Returns:
      `this`.

  - ### profilingEnabled

    public AddDataQualityRuleRequest.Builder profilingEnabled(boolean profilingEnabled)
    Deprecated.
    Indicates whether profiling statistics should be enabled for this rule.
    Returns:
      `this`.

  - ### dataQualityMetrics

    public AddDataQualityRuleRequest.Builder dataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)
    Deprecated.
    The Data Quality Metrics that should be assigned to the rule that is going to be created.
    Returns:
      `this`.

  - ### relationTraceEntries

    public AddDataQualityRuleRequest.Builder relationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)
    Deprecated.
    The list of entries that describes relations along which the data quality result is calculated.
    Returns:
      `this`.

  - ### build

    public AddDataQualityRuleRequest build()
    Deprecated.

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`